CHCP 1251
@ECHO OFF
REM *** 
REM Created Data : 10:48 05.06.2023
REM Author : Dmitry, Ekaterinburg, Russia
REM QTH locator : MO06HU
REM WebSite : https://techstop-ekb.ru/
REM E-mail : d.e.bobin@yandex.ru
REM
REM ***
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
REM
REM   ... 
REM
FOR %%I IN (_null.dat) DO (
	REM     OLDPATH NEWPATH -   ... 
	REM ,      -    ... 
	REM    ...   = -1 ;   =      ... 
	SET OLDPATH=%%~dpI
	SET NEWPATH=!OLDPATH:~0,-1!
)
REM
REM ***    sat-gen-tle-v5.cfg    ... 
FOR /F "eol=; tokens=1,2* delims==" %%A IN (sat-gen-tle-v5.cfg) DO (
	IF %%A==DosCode (SET DosCode=%%B)
	IF %%A==HelpLng (SET HelpLng=%%B)
	IF %%A==HelpMsg (SET HelpMsg=%%B)
)
REM ***
CHCP !DosCode!
CLS
TYPE help\!HelpLng!\sat-gen-tle-v5.ver
PAUSE
CLS
TYPE help\!HelpLng!\120-10.txt
PAUSE
CLS
TYPE help\!HelpLng!\120-15.txt
PAUSE
CLS
notepad !NEWPATH!\help\rus\sat-gen-tle-v5.ver
notepad !NEWPATH!\help\eng\sat-gen-tle-v5.ver
ENDLOCAL
EXIT
