CHCP 1251
@ECHO OFF
REM *** 
REM Created Data : 15:17 07.01.2023
REM Author : Dmitry, Ekaterinburg, Russia
REM QTH locator : MO06HU
REM WebSite : https://techstop-ekb.ru/
REM E-mail : d.e.bobin@yandex.ru
REM ***
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
REM
REM *** Reading sat-gen-tle-v5.cfg settings file and setting variables ... 
REM ***    sat-gen-tle-v5.cfg    ... 
FOR /F "eol=; tokens=1,2* delims==" %%A IN (sat-gen-tle-v5.cfg) DO (
	IF %%A==DosCode (SET DosCode=%%B)
	IF %%A==HelpLng (SET HelpLng=%%B)
	IF %%A==HelpMsg (SET HelpMsg=%%B)
	IF %%A==NOTESFLS (SET NOTESFLS=%%B)
	IF %%A==DDESXML (SET DDESXML=%%B)
	IF %%A==RADIOHIS (SET RADIOHIS=%%B)
	IF %%A==MYTLE (SET MYTLE=%%B)
	IF %%A==DDEXMLOUT (SET DDEXMLOUT=%%B)
	IF %%A==RADHISOUT (SET RADHISOUT=%%B)
	IF %%A==NOTES000 (SET NOTES000=%%B)
	IF %%A==NOTESOUT (SET NOTESOUT=%%B)
	IF %%A==MYTLEMKR (SET MYTLEMKR=%%B)
	IF %%A==MYTLEOUT (SET MYTLEOUT=%%B)
)
REM ***
CHCP !DosCode!
CLS
TYPE help\!HelpLng!\sat-gen-tle-v5.ver
PAUSE
CLS
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\80-10.txt
		PAUSE
		CLS
	)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\80-20.txt
		PAUSE
		CLS
	)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\80-30.txt
		PAUSE
		CLS
	)
REM ***
SET CHKCOPERR=0
REM
REM *** Check for marker Notes template 00000.txt ... File - should be ... 
REM ***    Notes template 00000.txt ...  -   ... 
IF NOT EXIST !NOTES000! (
	SET CHKCOPERR=1
	TYPE help\!HelpLng!\80-35.txt
	PAUSE
)
REM 
REM ***    DDESchedule.xml ...   ... 
IF NOT EXIST !DDEXMLOUT! (
	SET CHKCOPERR=1
	TYPE help\!HelpLng!\80-45.txt
	PAUSE
)
REM 
REM ***    Radio.his ...   ... 
IF NOT EXIST !RADHISOUT! (
	SET CHKCOPERR=1
	TYPE help\!HelpLng!\80-55.txt
	PAUSE
	)
REM 
REM ***    amateur.txt ...   ... 
IF NOT EXIST !MYTLEMKR! (
	SET CHKCOPERR=1
	TYPE help\!HelpLng!\80-65.txt
	PAUSE
	)
REM
REM
REM
IF !CHKCOPERR!==0 (
	ECHO.
	COPY !DDESXML! !DDEXMLOUT!
	COPY !RADIOHIS! !RADHISOUT!
	COPY !MYTLE! !MYTLEOUT!
	COPY !NOTESFLS!\*.txt !NOTESOUT!\*.txt
	CLS
	TYPE help\!HelpLng!\80-75.txt
	PAUSE
)
ENDLOCAL
EXIT
