CHCP 1251
@ECHO OFF
REM *** 
REM Created Data : 21:14 25/10/22
REM Author : Dmitry, Ekaterinburg, Russia
REM QTH locator : MO06HU
REM WebSite : https://techstop-ekb.ru/
REM E-mail : d.e.bobin@yandex.ru
REM ***
SETLOCAL ENABLEEXTENSIONS ENABLEDELAYEDEXPANSION
REM
REM *** Reading sat-gen-tle-v5.cfg settings file and setting variables ... 
REM ***    sat-gen-tle-v5.cfg    ... 
FOR /F "eol=; tokens=1,2* delims==" %%A IN (sat-gen-tle-v5.cfg) DO (
	IF %%A==DosCode (SET DosCode=%%B)
	IF %%A==HelpLng (SET HelpLng=%%B)
	IF %%A==HelpMsg (SET HelpMsg=%%B)
)
REM ***
CHCP !DosCode!
CLS
TYPE help\!HelpLng!\sat-gen-tle-v5.ver
PAUSE
CLS
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\70-10.txt
		PAUSE
		CLS
	)
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\70-20.txt
		PAUSE
		CLS
	)
REM
TYPE help\!HelpLng!\70-25.txt
PAUSE
REM
REM *** Zeroing input / output files ... 
REM ***    /  ... 
COPY _nul.dat sat-list.del
REM ***
notepad sat-list.txt
REM
REM *** Inserting a comment into a file ... 
REM ***     ... 
TYPE help\!HelpLng!\70-35.txt>>sat-list.del
REM
FOR /F "tokens=*" %%S IN (sat-list.txt) DO (
	IF NOT EXIST satdb\%%S-SatName.txt (
		ECHO %%S>>sat-list.del
	)
)
REM ***
	IF !HelpMsg!==1 (
		CLS
		TYPE help\!HelpLng!\70-20.txt
		PAUSE
		CLS
	)
notepad sat-list.del
ENDLOCAL
EXIT
